using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.CM
{
    /// <summary>
    /// 应急装备需求调查明细
    /// </summary>
    [Description("应急装备需求调查明细")]
    public class T_CM_EQUIPMENT_DEMAND_SURVEY_DETAIL : MesEntityBase
    {
        /// <summary>
        /// 应急装备需求调查表ID
        /// </summary>
        [Description("应急装备需求调查表")]
        [DataFieldForeignKey("Nav_EQDSurvey", "Nav_ListDetail")]
        public Guid DEMAND_SURVEY_ID { get; set; }

        /// <summary>
        /// 导航属性：应急装备需求调查表
        /// </summary>
        [Description("导航属性：应急装备需求调查表")]
        public virtual T_CM_EQUIPMENT_DEMAND_SURVEY Nav_EQDSurvey { get; set; }

        /// <summary>
        /// 应急装备需求调查汇总表ID
        /// </summary>
        [Description("应急装备需求调查汇总表")]
        [DataFieldForeignKey("Nav_SurveyMaster", "Nav_ListDetail")]
        public Guid? SURVEY_MASTER_ID { get; set; }

        /// <summary>
        /// 导航属性：应急装备需求调查汇总表
        /// </summary>
        [Description("导航属性：应急装备需求调查汇总表")]
        public virtual T_CM_EQUIPMENT_DEMAND_SURVEY_MASTER Nav_SurveyMaster { get; set; }

        /// <summary>
        /// 类型ID
        /// </summary>
        [Description("类型")]
        [DataFieldForeignKey("Nav_MaterialType")]
        public Guid TYPE_ID { get; set; }

        /// <summary>
        /// 导航属性：类型
        /// </summary>
        [Description("导航属性：类型")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public virtual T_CM_MATERIAL_TYPE Nav_MaterialType { get; set; }

        /// <summary>
        /// 物资库
        /// </summary>
        [Description("物资库")]
        [DataFieldForeignKey("Nav_MaterialLibrary")]
        public Guid LIBRARY_ID { get; set; }

        /// <summary>
        /// 导航属性：物资库
        /// </summary>
        [Description("导航属性：物资库")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public virtual T_CM_MATERIAL_LIBRARY Nav_MaterialLibrary { get; set; }

        /// <summary>
        /// 装备名称---应急物资库的名称
        /// </summary>
        [Description("装备名称")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(200)]
        public string MATERIAL_NAME { get; set; }

        /// <summary>
        /// 应急物资库名称---来自应急物资库的存放位置
        /// </summary>
        [Description("应急物资库名称")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(200)]
        public string MATERIAL_LOCATION { get; set; }

        /// <summary>
        /// 规格/型号
        /// </summary>
        [Description("规格/型号")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(200)]
        public string SPECIFICATION { get; set; }

        /// <summary>
        /// 库内现有数量
        /// </summary>
        [Description("库内现有数量")]
        [FormFieldEdit]
        public int? AVAILABLE_COUNT { get; set; }

        /// <summary>
        /// 需求数量
        /// </summary>
        [Description("需求数量")]
        [FormFieldEdit]
        public int NEED_COUNT { get; set; }

        /// <summary>
        /// 单位
        /// </summary>
        [Description("单位")]
        [FormFieldEdit]
        public string UNIT { get; set; }

        /// <summary>
        /// 用途
        /// </summary>
        [Description("用途")]
        [FormFieldEdit]
        [DataFieldLength(200)]
        public string PURPOSE { get; set; }
    }
}